OGRE: Ogre::PlaneBoundedVolume Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::PlaneBoundedVolume Class Reference

Represents a convex volume bounded by planes. More...

`#include <OgrePlaneBoundedVolume.h>`

List of all members.

## Public Types

typedef std::vector< Plane > | PlaneList

## Public Member Functions

| PlaneBoundedVolume ()
| PlaneBoundedVolume (Plane::Side theOutside)
| Constructor, determines which side is deemed to be 'outside'.
bool | intersects (const AxisAlignedBox &box) const
| Intersection test with AABB.
bool | intersects (const Sphere &sphere) const
| Intersection test with Sphere.
std::pair< bool, Real > | intersects (const Ray &ray)
| Intersection test with a Ray.

## Public Attributes

PlaneList | planes
| Publicly accessible plane list, you can modify this direct.
Plane::Side | outside

## Detailed Description

Represents a convex volume bounded by planes.

Definition at line 43 of file OgrePlaneBoundedVolume.h.

## Member Typedef Documentation

typedef std::vector<Plane> Ogre::PlaneBoundedVolume::PlaneList

| Definition at line 46 of file OgrePlaneBoundedVolume.h.

## Constructor & Destructor Documentation

Ogre::PlaneBoundedVolume::PlaneBoundedVolume | ( |  | ) |

| Definition at line 51 of file OgrePlaneBoundedVolume.h.

Ogre::PlaneBoundedVolume::PlaneBoundedVolume | ( | Plane::Side | theOutside | ) |

| Constructor, determines which side is deemed to be 'outside'. Definition at line 53 of file OgrePlaneBoundedVolume.h.

## Member Function Documentation

std::pair<bool, Real> Ogre::PlaneBoundedVolume::intersects | ( | const Ray & | ray | ) |

Intersection test with a Ray.

Returns:
  std::pair of hit (bool) and distance

Remarks:
  May return false positives but will never miss an intersection.

Definition at line 115 of file OgrePlaneBoundedVolume.h.

bool Ogre::PlaneBoundedVolume::intersects | ( | const Sphere & | sphere | ) | const

Intersection test with Sphere.

Remarks:
  May return false positives but will never miss an intersection.

Definition at line 90 of file OgrePlaneBoundedVolume.h.

References Ogre::Plane::getDistance().

bool Ogre::PlaneBoundedVolume::intersects | ( | const AxisAlignedBox & | box | ) | const

Intersection test with AABB.

Remarks:
  May return false positives but will never miss an intersection.

Definition at line 59 of file OgrePlaneBoundedVolume.h.

References Ogre::Plane::getSide().

## Member Data Documentation

Plane::Side Ogre::PlaneBoundedVolume::outside

| Definition at line 49 of file OgrePlaneBoundedVolume.h.

PlaneList Ogre::PlaneBoundedVolume::planes

| Publicly accessible plane list, you can modify this direct. Definition at line 48 of file OgrePlaneBoundedVolume.h.

The documentation for this class was generated from the following file:

- OgrePlaneBoundedVolume.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:50 2008